Home

# Class goog.net.BrowserChannel.Handler

Interface for the browser channel handler

Instance Method Summary
| `badMapError(?goog.net.BrowserChannel browserChannel, ?Object map)` Called by the channel if enumeration of the map throws an exception.
| `channelClosed(?goog.net.BrowserChannel browserChannel, ?Array= opt_pendingMaps, ?Array= opt_undeliveredMaps)` Indicates the BrowserChannel is closed. Also notifies about which maps, if any, that may not have been delivered to the server.
| `channelError(?goog.net.BrowserChannel browserChannel, ?goog.net.BrowserChannel.Error error)` Indicates an error occurred on the BrowserChannel.
| `channelHandleArray(?goog.net.BrowserChannel browserChannel, ?Array array)` New input is available for the application to process.
| `channelOpened(?goog.net.BrowserChannel browserChannel)` Indicates the BrowserChannel has successfully negotiated with the server and can now send and receive data.
| `correctHostPrefix(?string serverHostPrefix) ⇒ ?string` Allows the handler to override a host prefix provided by the server. Will be called whenever the channel has received such a prefix and is considering its use.
| `getAdditionalParams(?goog.net.BrowserChannel browserChannel) ⇒ ?Object` Gets any parameters that should be added at the time another connection is made to the server.
| `getNetworkTestImageUri(?goog.net.BrowserChannel browserChannel) ⇒ ?goog.Uri` Gets the URI of an image that can be used to test network connectivity.
| `isActive(?goog.net.BrowserChannel browserChannel) ⇒ boolean` Gets whether this channel is currently active. This is used to determine the length of time to wait before retrying.
| `okToMakeRequest(?goog.net.BrowserChannel browserChannel) ⇒ ?goog.net.BrowserChannel.Error` Whether it's okay to make a request to the server. A handler can return false if the channel should fail. For example, if the user has logged out, the handler may want all requests to fail immediately.